From b8937436b3ecccf68b14bd3a21da3821d135a5b0 Mon Sep 17 00:00:00 2001
From: Gerd Hoffmann <kraxel@redhat.com>
Date: Fri, 9 May 2014 11:00:36 -0500
Subject: [PATCH 09/20] spice: fix "info spice"
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

RH-Author: Gerd Hoffmann <kraxel@redhat.com>
Message-id: <1399633236-5699-2-git-send-email-kraxel@redhat.com>
Patchwork-id: 58768
O-Subject: [RHEL-6.6 qemu-kvm PATCH 1/1] spice: fix "info spice"
Bugzilla: 1029983
RH-Acked-by: Amos Kong <akong@redhat.com>
RH-Acked-by: Laszlo Ersek <lersek@redhat.com>
RH-Acked-by: Markus Armbruster <armbru@redhat.com>

In case no listening address was specified, "info spice" reports
"0.0.0.0" as address.  Which is incorrect in case spice is listening
on ipv6.  Replace it by a wildcard "*" to indicate it is not limited
to a specific address.

Note:  Being more specific is not possible without extending the
spice-server api.  The socket is handled by spice-server not
qemu, so qemu can't easily figure the actual socket address.

Reported-by: David Jaša <djasa@redhat.com>
Signed-off-by: Gerd Hoffmann <kraxel@redhat.com>
(cherry picked from commit 4f60af9ac00800d5833f6ec4317535aeaddb1616)

Conflicts:
	ui/spice-core.c
---
 ui/spice-core.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Signed-off-by: Jeff E. Nelson <jen@redhat.com>
---
 ui/spice-core.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/ui/spice-core.c b/ui/spice-core.c
index 1c76d7c..fc24c19 100644
--- a/ui/spice-core.c
+++ b/ui/spice-core.c
@@ -521,7 +521,7 @@ void do_info_spice(Monitor *mon, QObject **ret_data)
     qdict_put(server, "enabled", qbool_from_int(true));
     qdict_put(server, "migrated", qbool_from_int(spice_migration_completed));
     qdict_put(server, "auth", qstring_from_str(auth));
-    qdict_put(server, "host", qstring_from_str(addr ? addr : "0.0.0.0"));
+    qdict_put(server, "host", qstring_from_str(addr ? addr : "*"));
     if (port) {
         qdict_put(server, "port", qint_from_int(port));
     }
-- 
1.7.1

